# Howto vidéo sous GNU/Linux

    # apt install ffmpeg mediainfo

Infos sur une vidéo :

    $ mediainfo <vidéo>
    $ ffprobe <vidéo>

Convertir une vidéo .mp4 en .wbm :

    $ ffmpeg -i input.mp4 -c:v libvpx -qmin 0 -qmax 50 -crf 5 -b:v 1M -c:a libvorbis output.webm

Couper une vidéo, exemple en prenant les 23 premières secondes :

    $ ffmpeg -i input.mp4 -ss 0 -c copy -t 23 output.mp4

Enregistrement d'un screencast (capture vidéo via x11grab et audio via pulse) en WEBM :

    $ ffmpeg -threads auto -f pulse -i <INPUT> -f x11grab -s 1024x768 -i :0.0+0,0 \
     -c:v libvpx -vpre 720p -vsync cfr -r 15 -c:a libvorbis -q:a 6 output.webm

Avec deux sources audios :

    $ ffmpeg -threads auto -f pulse -i <INPUT> -ac 1 -f pulse -i <OUPUT.monitor> -ac 2 \
     -f x11grab -s 1024x768 -i :0.0+0,0 -c:v libvpx -vpre 720p -vsync cfr -r 15 \
     -c:a libvorbis -q:a 6 -filter_complex amix=inputs=2 output.webm

On peut aussi utiliser *kazam* qui est plus convivial... mais il s'appuie sur gstreamer et a souvent des soucis de désynchro audio/vidéo !

    $ kazam

      SUPER-CTRL-R - Start Recording
      SUPER+CTRL+F - Stop Recording
      SUPER-CTRL-F - Finish Recording
      SUPER-CTRL-W - Show/Hide main window
      SUPER-CTRL-Q - Quit
