**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto Crontab

## Gestion de votre crontab

Via un accès SSH, vous pouvez gérer votre crontab.

Pour lister votre crontab :

~~~
$ crontab -l
~~~

Pour éditer votre crontab via l'éditeur par défaut (souvent Vim) :

~~~
$ crontab -e
~~~

Note : attention, _crontab -r_ efface définitivement toute votre crontab, donc méfiez-vous car la touche "r" est proche de la touche "e" en Azerty/Qwerty.

Pour éditer votre crontab via un autre éditeur (par exemple pico) :

~~~
$ EDITOR=pico crontab -e
~~~

## Exemples de crontab

Attention, si une ligne de votre crontab a une syntaxe incorrecte, toute votre crontab risque d'être considérée comme invalide.

Veuillez également lire ces conseils : [wiki:DevWeb#Scriptsencrontab]

Lancer la commande _date_ tous les jours à minuit :

~~~
@daily date
~~~

Lancer la commande tous les dimanches à 6h42 :

~~~
42 6 * * 0 date
~~~