# Howto KeePassX

<https://www.keepassx.org/>  
<https://github.com/keepassx/keepassx>

KeePassX est un logiciel de gestion des mots de passe.
C'est un fork du logiciel [KeePass](http://keepass.info/) avec lequel son format de stockage (.kdb/.kdbx) est compatible.  
KeePassX 1 utilise le format .kdb (compatible avec [KeePass](http://keepass.info/) 1)  
KeePassX 2 utilise le format .kdbx (compatible avec [KeePass](http://keepass.info/) 2).

**Nous utilisons pour l'instant KeePassX 1 et son format .kdb**

## Installation

~~~
# apt install keepassx kpcli
~~~

## Utilisation de base

Vous pouvez créer un fichier .kdb protégé par qui va stocker vos mots de passe : Fichier> Nouvelle base de données> Mot de passe: PASSWORD > OK > Enregistrer la base de données

Vous pourrez ainsi ultérieurement l'utiliser via :

~~~
$ keepass db.kdb
~~~

## kpcli

En ligne de commande, vous pouvez faire :

~~~
$ kpcli -kdb db.kdb

Please provide the master password: *************************
KeePass CLI (kpcli) v2.7 is ready for operation.
Type 'help' for a description of available commands.
Type 'help <command>' for details on individual commands.

kpcli:/> ls
=== Groups ===
eMail/
Internet/
kpcli:/> cd Internet/
kpcli:/Internet> ls
=== Entries ===
0. foo                                                               
kpcli:/Internet> show 0

 Path: /Internet
Title: foo
Uname: foo
 Pass:
  URL: https://secure.example.com/
Notes:

kpcli:/Internet> exit
~~~

Note : le champ "Pass" est invisible mais l'on peut le copier/coller avec la souris.
