**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**


# *Installation*

Jenkins n’est pas disponible dans les dépôts Debian, il faut donc ajouter le dépôt comme suit:


~~~
wget -q -O - <https://jenkins-ci.org/debian/jenkins-ci.org.key> | sudo apt-key add -
sudo sh -c 'echo deb <http://pkg.jenkins-ci.org/debian-stable> binary/ > /etc/apt/sources.list.d/jenkins.list'
~~~

Ensuite on procède à l’installation:

~~~
# apt update
apt install jenkins
~~~


# *Configuration*

Par défaut Jenkins utilise le port 8080, pour modifier cela, il faut modifier le fichier /etc/default/jenkins et remplacer la ligne suivante:

~~~
HTTP_PORT=8080
~~~

Par le port souhaité.

~~~
HTTP_PORT=XXXX
~~~

Le */home* de jenkins se trouve dans:

~~~
/var/lib/jenkins/
~~~

Il faut crée par exemple la clé ssh de jenkins dans ce répertoire, en ce connectant avec l'utilisateur jenkins en faisant:

~~~
su - jenkins
~~~

Puis générer la clé SSH.

## Vhost ngix / apache

Pour créer un vhost pour Jenkins avec nginx ou apache, cela se fait sans particularité spéciale voir les wiki associés:

[<http://trac.evolix.net/infogerance/wiki/HowtoNginx>] 
[<http://trac.evolix.net/infogerance/wiki/HowtoLAMP/Apache>]
