---
categories: web
title: Howto NodeJS
...

* Documentation : <https://nodejs.org/dist/latest-v6.x/docs/api/>

[NodeJS](https://nodejs.org/) est une implémentation cote serveur du langage Javascript.

## Installation

Nodejs est disponible en version 0.10.X sur Debian Jessie. (Dépréciés par l'upstream…)

Pour installer une version plus récente (ex: 6.X LTS), on peut utiliser les dépôts de nodesource :

~~~
# apt install apt-transport-https
# echo "deb https://deb.nodesource.com/node_6.x <dist> main" > /etc/apt/sources.list.d/nodesource.list
# wget https://deb.nodesource.com/gpgkey/nodesource.gpg.key -O -|apt-key add -
# apt update
# apt install nodejs
~~~

## Utilisation de module NPM

On peut ensuite installer des packages npm en tant qu'utilisateur :

~~~
$ npm version
{ npm: '3.10.10',
  ares: '1.10.1-DEV',
  http_parser: '2.7.0',
  icu: '56.1',
  modules: '48',
  node: '6.9.5',
  openssl: '1.0.2k',
  uv: '1.9.1',
  v8: '5.1.281.89',
  zlib: '1.2.8' }

$ npm install ping
/root
└─┬ ping@0.2.1 
  └── q@1.4.1 

$ npm list
/root
└─┬ ping@0.2.1
  └── q@1.4.1
~~~

Pour l'installation de module npm globaux, disponible via /usr/bin/<nom_module> (ex: on met à jour npm via lui même) :

~~~
npm install -g npm
chown -R root: /usr/lib/node_modules/npm
chmod -R 755 /usr/lib/node_modules/npm
~~~