---
categories: openbsd network
title: Howto VLAN sous OpenBSD
---

* Documentation : <http://man.openbsd.org/OpenBSD-current/man4/vlan.4>

*IEEE 802.1Q/1AD* encapsulation/decapsulation pseudo-device

## Création manuelle

Création de 2 VLANs, 1 et 7, rattachés à l'interface bnx0

~~~
# ifconfig vlan1 create
# ifconfig vlan7 create
# ifconfig vlan1 parent bnx0 vnetid 1
# ifconfig vlan7 parent bnx0 vnetid 7
~~~

On configure ensuite l'interface de la même manière qu'une interface classique :

~~~
# ifconfig vlan1 inet 10.10.10.1 netmask 255.255.255.0
# ifconfig vlan7 inet 10.20.30.1 netmask 255.255.255.0
~~~

## Création définitive

~~~
# cat /etc/hostname.bnx0
up

# cat /etc/hostname.vlan1
vlandev bnx0 description "VLAN1-Net1"
inet 10.10.10.1 255.255.255.0 10.10.10.255

# cat /etc/hostname.vlan7
vlandev bnx0 description "VLAN1-Net2"
inet 10.20.30.1 255.255.255.0 10.20.30.255
~~~
