**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Suppression de Redmine

Pour supprimer votre installation de redmine, rien de plus simple.

## I. Suppression

Arrêt du service Redmine :

~~~
systemctl stop puma@$REDMINE
~~~

Suppression de l'utilisateur système $REDMINE ainsi que son groupe :

~~~
userdel $REDMINE
groupdel $REDMINE
~~~

Suppression de l'application :

~~~
rm -rf /home/$REDMINE /etc/init.d/redmine_$REDMINE
~~~

## II. Suppression de la base de donnée

* Mysql :

~~~
mysql <<SQL
DROP DATABASE $REDMINE;
DROP USER $REDMINE@localhost;
SQL
~~~

## III. Suppression configuration Web

* Nginx :

~~~
rm /etc/nginx/ssl/redmine_$REDMINE* /etc/nginx/sites-enabled/redmine_$REDMINE /etc/nginx/sites-available/redmine_$REDMINE
nginx -t
if [ $? == 0 ]; then
        service nginx reload
fi
~~~