**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Migration de votre ancienne installation Redmine

Après avoir finit votre [wiki:HowToRedmine-Source installation].

Se connecter avec l'utilisateur de votre nouveau Redmine :

~~~
su - $REDMINE
~~~

Réaliser un dump SQL de votre ancienne installation :

~~~
ssh votre-serveur-actuel.tld mysqldump database_name > redmine_dump.sql
~~~

Puis stopper votre nouvelle installation :

~~~
systemctl stop puma@$REDMINE
~~~

Vider la base de donnée actuelle :

~~~
TABLES=$(mysql $USER -e 'show tables' | awk '{ print $1}' | grep -v '^Tables' )
for t in $TABLES
do
     echo "Deleting $t table from $USER database..."
     mysql $USER -e "drop table $t"
done
~~~

Importer votre dump SQL:

~~~
mysql -D $USER --default-character-set=utf8 < redmine_dump.sql
~~~
Migrer la base de données :

~~~
rake -qf ~/redmine/Rakefile db:migrate RAILS_ENV=production
~~~

Migrer les plugins :

~~~
rake -qf ~/redmine/Rakefile redmine:plugins:migrate RAILS_ENV=production
~~~

Relancer votre Redmine :

~~~
systemctl start puma@$REDMINE
~~~

Synchroniser les fichiers attachés :

~~~
scp -Cr votre-serveur-actuel.tld:dossier-files ~/
~~~