**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Plugins

### Listes des plugins

* [wiki:HowToRedmine-Source/Plugins/Redmine_multiprojects_issue Plugin Redmine Multiprojects Issue]
* Permet d'assigner des projets secondaires à une demande.
* [wiki:HowToRedmine-Source/Plugins/Redmine_git_hosting Plugin Redmine Git Hosting]
* Permet l'intégration de Redmine avec Gitolite.
* [wiki:HowToRedmine-Source/Plugins/Redmine_wiki_notes Plugin Redmine Wiki Notes]
* Ajoute des macros au wiki pour afficher un bloc de type note/info/warning/tip.

### Mise à jour (User = $REDMINE)

*Éteindre Puma avant les mises à jours.*

Rendez vous dans le dossier du plugins /home/$REDMINE/redmine/plugins/nom_plugin puis :

Pour une mise à jour mineure :

~~~
git pull
~~~

Pour une mise à jour majeure, récuperer la dernière branche stable, vérifier les prérequis puis :

~~~
git checkout $BRANCHE
~~~

Effectuer ensuite les tâches post-update ci-dessous.

### Taches post-installation / post-update

Mise à jour des gem :

~~~
bundle install --gemfile=~/www/Gemfile --path=~/.gem
~~~

Migration des plugins :

~~~
rake -qf ~/www/Rakefile redmine:plugins:migrate RAILS_ENV=production
~~~

Correction des droits

~~~
chmod u=rwX,g=rX,o= ~/www/plugins -R"
~~~