**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Mise à jour de votre installation Redmine

Connection en tant que l'utilisateur $REDMINE :

~~~
# su - $REDMINE
$ umask 022
~~~

Rendez vous dans le dossier d'installation de Redmine :

~~~
$ cd ~/redmine
~~~

## Pour faire une mise à jour mineure (ex: 3.0.2 vers 3.0.3)

~~~
# su - $REDMINE
$ umask 022
$ cd ~/redmine
$ git pull
$ bundle update
# systemctl restart puma@$REDMINE
# systemctl status puma@$REDMINE
~~~

## Pour faire une mise à jour majeure (ex: 2.6 vers 3.0)

Déterminer votre branche courante (elle est précédé d'un étoile) :

~~~
$ git branch
~~~

Lister les branches distantes (ne prendre en compte que les versions stables) :

~~~
$ git pull
$ git branch -r
~~~

Si une version plus récente de Redmine est présente, vérifier les prérequis en vous rendant sur [redmine.org](http://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements)

Version de Ruby et de Ruby on Rails :

~~~
$ ruby -v
$ rails -v
~~~

Si les prérequis sont satisfaits :

~~~
# systemctl stop puma@$REDMINE
# su - $REDMINE
$ umask 022
$ gem update puma --user
$ cd ~/redmine
# systemctl stop puma@$REDMINE
$ git pull
$ git checkout $BRANCHE
$ rm Gemfile.lock
$ bundle update
$ rake -q db:migrate RAILS_ENV=production
# systemctl start puma@REDMINE
$ systemctl status puma@REDMINE
~~~

Mise à jour des plugins (exemple avec le plugin foo) :

~~~
# su - $REDMINE
$ umask 022
$ cd ~/redmine
# systemctl stop puma@$REDMINE
$ cd plugins ; ls
$ cd foo
$ git pull && git branch -r
$ rake -q redmine:plugins:migrate RAILS_ENV=production
# systemctl start puma@REDMINE
$ systemctl status puma@REDMINE
~~~