---
categories: wip
title: Howto Vim
...

* Documentation : <http://www.vim.org/docs.php>
* Vim casts : <http://vimcasts.org/>

~~~
# apt install vim
$ vimtutor
# update-alternatives --config editor
~~~

## Mode sed

Rechercher sans la casse : **/\\cfoo**

Appliquer une commande à une selection de lignes : **:42,51!sed s/foo/bar/ FICHIER**

## Astuces

### Taper des caractères UTF8

Ctrl+v u XXXX où XXXX est le code Unicode du caractère

### Taper des caractères ASCII

Ctrl+v NNN où NNN est le numéro ASCII du caractère

## Scripting

Exécuter automatiquement des commandes :

~~~
$ vim ":retab" "+wq"
~~~

Écrire des commandes dans un script puis les rejouer :

~~~
$ vim -s script.txt FICHIER
$ vim -w script.txt FICHIER2
~~~

#Vimdiff

~~~{.bash}
C-w C-w : "Changer de colonne du fichier comparé"
~~~
