---
categories: bios raid
title: Serveur HP / RAID
...

## Accéder au BIOS

Appuyer sur F9 au bon moment

## Installer l'utilitaire

~~~
# echo "deb http://downloads.linux.hpe.com/SDR/repo/mcp/ jessie/current non-free" > /etc/apt/sources.list.d/hp.list
# curl https://downloads.linux.hpe.com/SDR/hpPublicKey1024.pub | apt-key add -
# curl https://downloads.linux.hpe.com/SDR/hpPublicKey2048.pub | apt-key add -
# curl https://downloads.linux.hpe.com/SDR/hpPublicKey2048_key1.pub | apt-key add -
# apt update
# apt install hp-health hpssacli
~~~

## Récupérer les informations des disques

Récapitulatif des disques virtuel et physiques :

~~~
# hpssacli ctrl all show config [detail]

Smart Array P440ar in Slot 0 (Embedded)   (sn: PDNLH0BRH8B0XM)

   Port Name: 1I

   Port Name: 2I

   Internal Drive Cage at Port 1I, Box 1, OK

   Internal Drive Cage at Port 2I, Box 0, OK
   array A (SAS, Unused Space: 0  MB)

      logicaldrive 1 (558.7 GB, RAID 1+0, OK)

      physicaldrive 1I:1:1 (port 1I:box 1:bay 1, SAS, 300 GB, OK)
      physicaldrive 1I:1:2 (port 1I:box 1:bay 2, SAS, 300 GB, OK)
      physicaldrive 1I:1:3 (port 1I:box 1:bay 3, SAS, 300 GB, OK)
      physicaldrive 1I:1:4 (port 1I:box 1:bay 4, SAS, 300 GB, OK)
~~~

Pour récupérer les informations sur le tableau RAID, on commence d'abord par connaître le n° de tableau dans lequel se trouve notre disque

On voit bien le tabeau RAID avec l'ID 0, et deux disques physiques qui composent notre disque logique, dont l'un des deux est noté *Failed*

Ensuite, pour trouver le n° de série du disque, on prend sont ID de disque physique (1I:1:2) et on demande ses informations dans le tabeau RAID 0

~~~
# hpssacli controller slot=0 physicaldrive 1I:1:2 show

Smart Array P440ar in Slot 0 (Embedded)

   array A

      physicaldrive 1I:1:2
         Port: 1I
         Box: 1
         Bay: 2
         Status: OK
         Drive Type: Data Drive
         Interface Type: SAS
         Size: 300 GB
         Drive exposed to OS: False
         Native Block Size: 512
         Rotational Speed: 15000
         Firmware Revision: HPD2
         Serial Number: 0TG8T4GP
         Model: HP      EH0300JDYTH
         Current Temperature (C): 41
         Maximum Temperature (C): 52
         PHY Count: 2
         PHY Transfer Rate: 12.0Gbps, Unknown
         Drive Authentication Status: OK
         Carrier Application Version: 11
         Carrier Bootloader Version: 6
         Sanitize Erase Supported: False
~~~

## Mettre à jour le firmware

Récupérer le firmware sur le support HP, il s'agit d'un script BASH auto-extractible. Executez-le et suivez les instructions.